picard.sam

## Enum RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile

- java.lang.Object
- - java.lang.Enum<RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile>
  - - picard.sam.RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile

- All Implemented Interfaces:
    Serializable, Comparable<RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile>
  Enclosing class:
    RevertOriginalBaseQualitiesAndAddMateCigar

      public static enum RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile
      extends Enum<RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile>

  Used as a return for the canSkipSAMFile function.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAN_SKIP`
    `CANNOT_SKIP_FOUND_NO_MC`
    `CANNOT_SKIP_FOUND_OQ`
    `FOUND_NO_EVIDENCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSkip()`
    `String` | `getMessage(int maxRecordsToExamine)`
    `static RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CAN_SKIP

          public static final RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile CAN_SKIP

    - #### CANNOT_SKIP_FOUND_OQ

          public static final RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile CANNOT_SKIP_FOUND_OQ

    - #### CANNOT_SKIP_FOUND_NO_MC

          public static final RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile CANNOT_SKIP_FOUND_NO_MC

    - #### FOUND_NO_EVIDENCE

          public static final RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile FOUND_NO_EVIDENCE

  - ### Method Detail

    - #### values

          public static RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile c : RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMessage

          public String getMessage(int maxRecordsToExamine)

    - #### canSkip

          public boolean canSkip()